import request from '@/utils/request'
//获取菜单管理列表
export function getMenuList(data) {
  return request({
    url: '/system/getMenuList',
    method: 'post',
    params: data
  })
}
//获取菜单的树结构
export function getMenuTreeData(data) {
  return request({
    url: '/system/getMenuTreeData',
    method: 'post',
    params: data
  })
}
//获取单个菜单的详情
//获取菜单的树结构
export function getMenuInfo(data) {
  return request({
    url: '/system/getMenuInfo',
    method: 'post',
    params: data
  })
}
//编辑菜单确定
export function updateMenu(data) {
  return request({
    url: '/system/updateMenu',
    method: 'post',
    params: data
  })
}
//增加菜单确定
export function addMenu(data) {
  return request({
    url: '/system/addMenu',
    method: 'post',
    params: data
  })
}

//获取角色列表
export function getRoleList(data) {
  return request({
    url: '/system/getRoleList',
    method: 'post',
    params: data
  })
}
//增加修改角色的时候 获取菜单权限的列表
export function getMenuTreeData2(data) {
  return request({
    url: '/system/getMenuTreeData2',
    method: 'get',
    params: data
  })
}
//增加角色
//获取角色列表
export function addRole(data) {
  return request({
    url: '/system/addRole',
    method: 'post',
    params: data
  })
}
//获取角色详情
export function getRoleInfo(data) {
  return request({
    url: '/system/getRoleInfo',
    method: 'post',
    params: data
  })
}
//获取角色选中的权限菜单
export function getRoleMenuTreeData(roleId) {
  return request({
    url: '/system/getRoleMenuTreeData?roleId='+roleId,
    method: 'post',
  })
}
//修改角色
export function updateRole(data) {
  return request({
    url: '/system/updateRole',
    method: 'post',
    params: data
  })
}
//获取角色列表
export function getMenuRoles(data) {
  return request({
    url: '/system/getMenuRoles',
    method: 'post',
    params: data
  })
}

//获取获取用户列表
export function getRoleUsers(data) {
  return request({
    url: '/system/getRoleUsers',
    method: 'post',
    params: data
  })
}


